import { type EscapeSequence } from './types/escape-sequence';
declare type RemoveSlashesOptions = {
    readonly getUnescaped?: (sequence: EscapeSequence, code: number | null) => string | false;
};
/**
 * Remove one layer of slashes, decoding any valid escape sequences into their
 * corresponding characters (eg. `\\n` will become a newline).
 *
 * Use the `getUnescaped` option to customize escape sequence decoding.
 */
declare const removeSlashes: (source: string, { getUnescaped }?: RemoveSlashesOptions) => string;
/**
 * @deprecated Use {@link removeSlashes} instead.
 */
declare const stripSlashes: (source: string, { getUnescaped }?: RemoveSlashesOptions) => string;
export { removeSlashes, stripSlashes };
